cURL
curl --request PUT \
--url http://0.0.0.0:8000/api/workshops/{workshop_id}/guests/me \
--header 'Content-Type: application/json; charset=utf-8' \
--data '
{
"display_name": "<string>",
"character_id": "<string>",
"clear_character": false
}
'import requests
url = "http://0.0.0.0:8000/api/workshops/{workshop_id}/guests/me"
payload = {
"display_name": "<string>",
"character_id": "<string>",
"clear_character": False
}
headers = {"Content-Type": "application/json; charset=utf-8"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json; charset=utf-8'},
body: JSON.stringify({display_name: '<string>', character_id: '<string>', clear_character: false})
};
fetch('http://0.0.0.0:8000/api/workshops/{workshop_id}/guests/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workshop_id": "<string>",
"user_id": "<string>",
"email": "<string>",
"display_name": "<string>",
"joined_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"character_id": "<string>",
"character_name": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}Workshop
Put workshops guestsme
PUT
/
workshops
/
{workshop_id}
/
guests
/
me
cURL
Path Parameters
Body
application/json; charset=utf-8